%define python3_pkgversion 3.11
%{?scl:%scl_package python-%{pypi_name}}
%{!?scl:%global pkg_name %{name}}

%global __requires_exclude ^python%{python3_pkgversion}dist\\((importlib-metadata|typing-extensions|importlib-resources|pkgutil-resolve-name)


# Created by pyp2rpm-3.3.3
%global pypi_name jsonschema

Name:           %{?scl_prefix}python-%{pypi_name}
Version:        4.21.1
Release:        1.0.1%{?dist}
Summary:        An implementation of JSON Schema validation for Python

License:        MIT
URL:            https://github.com/Julian/jsonschema
Source0:        https://files.pythonhosted.org/packages/source/j/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch0:         0001-add-setup.py.patch
#jsonschema switching to strictly pyobject.toml, this is the setup.cfg from 4.5.1
#it's to keep builds working unitl our infrastructure can handle pyboject.toml based building
BuildArch:      noarch

BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-devel
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-setuptools
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-setuptools_scm
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-rpm-macros

# Testing requirements
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-pytest
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-pip
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-pyrsistent

Requires:       %{?scl_prefix}python%{python3_pkgversion}-attrs >= 22.2.0
Requires:       %{?scl_prefix}python%{python3_pkgversion}-jsonschema-specifications >= 2023.03.6
Requires:       %{?scl_prefix}python%{python3_pkgversion}-referencing >= 0.28.4
Requires:       %{?scl_prefix}python%{python3_pkgversion}-rpds-py >= 0.7.1

# this are only required for python version < 3.9
#Requires:       %{?scl_prefix}python%{python3_pkgversion}-importlib_resources >= 1.4.0
#Requires:       %{?scl_prefix}python%{python3_pkgversion}-pkgutil_resolve_name >= 1.3.10

%description
%{summary}


%package -n     %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%?python_enable_dependency_generator


%description -n %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
%{summary}


%prep
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
%{?scl:EOF}

%build
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_build
%{?scl:EOF}


%install
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_install
%{?scl:EOF}
mkdir -p %{buildroot}/%{python3_sitelib}/%{pypi_name}/schemas/vocabularies/

%files -n %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
%license json/LICENSE
%doc json/README.md README.rst
%exclude %{_bindir}/jsonschema
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Tue Jan 28 2025 Rafael Barron <rafael.barron@oracle.com> - 4.21.1-1.0.1
- Update to 4.21.1

* Wed Aug 28 2024 Alex Burmashev <alexander.burmashev@oracle.com> - 4.17.3-1.0.4
- Package schemas

* Wed Aug 21 2024 Teo Gonzalez <teo.g.gonzalez@oracle.com> - 4.17.3-1.0.3
- Use olam-provided scm setuptools
- Fixes unneeded dependencies for python
- Enable tests

* Tue Aug 20 2024 Craig Guiller <craig.guiller@oracle.com> - 4.17.3-1.0.2
- enable dependancy generator

* Wed Jul 24 2024 Craig Guiller <craig.guiller@oracle.com> - 4.17.3-1.0.1
- Rebuild for python 3.11
- Update to 4.17.3

* Wed Feb 1 2023 Stoil Barzakov <stoil.barzakov@oracle.com> - 4.6.0-4.0.1
- Rebuild for Python 3.9 [JIRA: OLAM-27]

* Thu Aug 11 2022 Odilon Sousa <osousa@redhat.com> - 4.6.0-4
- Adding dependencie requirement on python-jsonschema for importlib-resources

* Tue Jul 26 2022 Odilon Sousa <osousa@redhat.com> - 4.6.0-1
- Release python-jsonschema 4.6.0 and add a setup.cfg to build on top of EL7

* Fri Apr 22 2022 Yanis Guenane <yguenane@redhat.com> - 3.2.0-8
- Build against python 3.9

* Fri Nov 05 2021 Satoe Imaishi - 3.2.0-7
- Don't obsolete python 3.6 package and exclude files in bin

* Wed Sep 29 2021 Evgeni Golov - 3.2.0-6
- Obsolete the old Python 3.6 package for smooth upgrade

* Mon Sep 06 2021 Evgeni Golov - 3.2.0-5
- Build against Python 3.8

* Thu Nov 05 2020 Evgeni Golov - 3.2.0-4
- Fix License tag in spec file

* Fri Feb 28 2020 Zach Huntington-Meath <zhunting@redhat.com> - 3.2.0-3
- Bump release to build for el8

* Sun Feb 02 2020 Evgeni Golov - 3.2.0-2
- correct jsonschema requires

* Tue Jan 28 2020 Evgeni Golov - 3.2.0-1
- Initial package.
